Subject: bug#11939: 24.1; `save-buffers-kill-emacs' loses minibuffer focuswhenit calls `list-processes'

From: "Drew Adams" <[email-masked]>
Date: Thu, 9 Aug 2012 14:54:12 -0700

>  >> I cannot use `delete-frame' because there might be other 
>  >> windows on the frame or because this might be the only
>  >> visible frame.
>  >
>  > You will no doubt find better ways to do it (e.g., at least
>  > a different test from `one-window-p'), but FWIW I use code
>  > like the following, depending on the context:
> 
> None of these is suitable for dealing with the case that a window has
> been reused by `display-buffer'.

Perhaps.  But they are all useful in practice to distinguish the one-window
case, at least with my setup.  IOW, they do the job for me - I have not had any
problems with them.

I'm afraid I can't offer another suggestion for this particular problem.  You
are the expert here.